For the latest news and information visit The GNU Crypto project

## javax.crypto
Class IllegalBlockSizeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.security.GeneralSecurityException
                        |
                        +--javax.crypto.IllegalBlockSizeException

All Implemented Interfaces:
  java.io.Serializable

public class IllegalBlockSizeException
extends java.security.GeneralSecurityException

This exception is thrown when the length of data provided to a block cipher is incorrect, i.e., does not match the block size of the cipher.

See Also:
  Serialized Form

Constructor Summary
`IllegalBlockSizeException()` Constructs an IllegalBlockSizeException with no detail message.
`IllegalBlockSizeException(java.lang.String msg)` Constructs an IllegalBlockSizeException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalBlockSizeException

    public IllegalBlockSizeException()

  Constructs an IllegalBlockSizeException with no detail message. (A detail message is a String that describes this particular exception.)

### IllegalBlockSizeException

    public IllegalBlockSizeException(java.lang.String msg)

  Constructs an IllegalBlockSizeException with the specified detail message. (A detail message is a String that describes this particular exception.)

Parameters:
  `msg` - the detail message.

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.